com.holonplatform.vaadin.flow.components.builders

## Interface OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    ComponentConfigurator<OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, DatastoreDataProviderConfigurator.DatastoreDataProviderSelectConfigurator<com.holonplatform.core.property.PropertyBox,OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, DeferrableLocalizationConfigurator<OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, HasDeferrableLocalization, HasElementConfigurator<OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, HasEnabledConfigurator<OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, HasItemCaptionConfigurator<com.holonplatform.core.property.PropertyBox,OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, HasItemEnableConfigurator<com.holonplatform.core.property.PropertyBox,OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, HasLabelConfigurator<OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, HasStyleConfigurator<OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, InputBuilder<Set<T>,ValueHolder.ValueChangeEvent<Set<T>>,MultiSelect<T>,ValidatableMultiSelect<T>,OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>,OptionsMultiSelectConfigurator.ValidatableDatastorePropertyOptionsMultiSelectInputBuilder<T>>, InputConfigurator<Set<T>,ValueHolder.ValueChangeEvent<Set<T>>,OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, ItemSetConfigurator<OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, MultiSelectableInputConfigurator<T,com.holonplatform.core.property.PropertyBox,OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, OptionsMultiSelectConfigurator<T,com.holonplatform.core.property.PropertyBox,OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputConfigurator<T,OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, PropertySelectInputConfigurator<Set<T>,T,OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, SelectableInputConfigurator<Set<T>,T,OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>
  Enclosing interface:
    OptionsMultiSelectConfigurator<T,ITEM,B extends OptionsMultiSelectConfigurator<T,ITEM,B>>

      public static interface OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>
      extends OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputConfigurator<T,OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>>, InputBuilder<Set<T>,ValueHolder.ValueChangeEvent<Set<T>>,MultiSelect<T>,ValidatableMultiSelect<T>,OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>,OptionsMultiSelectConfigurator.ValidatableDatastorePropertyOptionsMultiSelectInputBuilder<T>>

  `Property` model based options `MultiSelect` input builder with `DatastoreDataProviderConfigurator` support.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.OptionsMultiSelectConfigurator

      `OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputConfigurator<T,ITEM,C extends OptionsMultiSelectConfigurator.DatastoreOptionsMultiSelectInputConfigurator<T,ITEM,C>>, OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputConfigurator<T,C extends OptionsMultiSelectConfigurator.DatastorePropertyOptionsMultiSelectInputConfigurator<T,C>>, OptionsMultiSelectConfigurator.OptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.OptionsMultiSelectInputConfigurator<T,ITEM,D extends DatastoreDataProviderConfigurator<ITEM,D>,C extends OptionsMultiSelectConfigurator.OptionsMultiSelectInputConfigurator<T,ITEM,D,C>>, OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends OptionsMultiSelectConfigurator.PropertyOptionsMultiSelectInputConfigurator<T,D,C>>, OptionsMultiSelectConfigurator.ValidatableDatastoreOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.ValidatableDatastorePropertyOptionsMultiSelectInputBuilder<T>, OptionsMultiSelectConfigurator.ValidatableOptionsMultiSelectInputBuilder<T,ITEM>, OptionsMultiSelectConfigurator.ValidatablePropertyOptionsMultiSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `HasLabelConfigurator.BaseHasLabelConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.DatastoreDataProviderConfigurator

      `DatastoreDataProviderConfigurator.DatastoreDataProviderSelectConfigurator<ITEM,C extends DatastoreDataProviderConfigurator.DatastoreDataProviderSelectConfigurator<ITEM,C>>`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.OptionsMultiSelectConfigurator

      `create, create, create, create`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.MultiSelectableInputConfigurator

      `dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `enumCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemCaptionConfigurator

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `create, create, label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemEnableConfigurator

      `itemEnabledProvider`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DatastoreDataProviderConfigurator.DatastoreDataProviderSelectConfigurator

      `additionalItemsProvider`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DatastoreDataProviderConfigurator

      `itemIdentifierProvider, querySortOrderConverter, withDefaultQuerySort, withQueryConfigurationProvider, withQueryFilter, withQuerySort`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.PropertySelectInputConfigurator

      `itemCaptionProperty`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

Copyright © 2020 The Holon Platform. All rights reserved.